{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}

{% block styles %}
{{ form.media }}
{% endblock styles %}

{% block content %}
<div class="row">
    <div class="col-12">
        <form method="post" enctype="multipart/form-data" class="card">
      {% csrf_token %}

      <div class="card-header">
        <h4 class="card-title">Pathology Report</h4>
        <span class="badge bg-purple ml-2 px-2">
          {{ request.session.patient_name }}
          <span class="badge-addon">{{ request.session.patient_age }} / {{ request.session.patient_sex }}</span>
        </span>
        <span class="badge bg-blue ml-2 px-2">
          <span class="badge-single">{{ pathology_id }}</span>
        </span>
      </div>

      <div class="card-body">
        <div class="row">
          {% for field in form %}
          <div class="form-group col-12 mb-3">
              <label class="form-label">{{ field.label }}</label>
              {% if field|field_type == "modelchoicefield" %}
              {{ field|add_class:"form-select mt-1" }}
              {% elif "note" in field.label %}
              {{ field|add_class:"form-control mt-1 mb-3" }}
              {% else %}
              {{ field|attr:"class:form-control mt-1" }}
              {% endif %}
          </div>
          {% endfor %}
          <div class="form-group col-12 mb-3" id="imgBox">
              <label class="form-label">Specimen Images</label>
              {% if images %}
              <div class="col-12">
                  <div class="card">
                      <div class="table-responsive">
                          <table class="table table-vcenter card-table">
                              <thead>
                                  <th colspan="2">Uploaded Images</th>
                              </thead>
                              <tbody>
                                  {% for image in images %}

                                  <tr>
                                      <td >
                                          <div class="d-flex py-1 align-items-center">
                                              <a href="#" data-toggle="modal" data-target="#modal-simple">
                                                  <span class="avatar mr-2" style="background-image: url({{image.specimen_image.url}})"></span>
                                              </a>
                                              <div style="display:none">{{image.id}}</div>
                                              <div class="flex-fill">
                                                  <div class="font-weight-medium">{{image.specimen_name}}</div>
                                                  <div class="text-muted">{{image.date_updated}}</div>
                                              </div>
                                          </div>
                                          <div class="modal modal-blur fade" id="modal-simple" tabindex="-1" role="dialog" aria-hidden="true">
                                              <div class="modal-dialog modal-dialog-centered" role="document">
                                                  <div class="modal-content">
                                                      <div class="modal-header">
                                                          <h5 class="modal-title">{{image.specimen_name}}</h5>
                                                      </div>
                                                      <div class="modal-body">
                                                          <img alt="{{image.specimen_name}}" src="{{image.specimen_image.url}}" style="max-width:500px;max-height:370px;"/>
                                                      </div>
                                                      <div class="modal-footer">
                                                          <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                                                      </div>
                                                  </div>
                                              </div>
                                          </div>

                                      </td>
                                      <td class="text-right">
                                          <button class="btn btn-sm btn-danger btn-remove" type="button" name="image_button" value="delete"><svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><line x1="4" y1="7" x2="20" y2="7" /><line x1="10" y1="11" x2="10" y2="17" /><line x1="14" y1="11" x2="14" y2="17" /><path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" /><path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" /></svg>Delete</button>
                                      </td>
                                  </tr>
                                  <!-- <img src="{{image.specimen_image.url}}" alt="no"> -->
                                  {% endfor %}
                              </tbody>
                          </table>
                      </div>
                  </div>
              </div>
              {% endif %}
          </div>
            <div class="form-group col-12 mb-3" id="imgBtn">
                <button  type="button" class="btn btn-outline-info btn-block" value="Add Image" id="addImg">
                    <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 17v2a2 2 0 0 0 2 2h12a2 2 0 0 0 2 -2v-2" /><polyline points="7 9 12 4 17 9" /><line x1="12" y1="4" x2="12" y2="16" /></svg>Add Image
                </button>
            </div>
        </div>
      </div>
      <div class="card-footer text-right">
        <div class="d-flex">
          <button class="btn btn-secondary m-1" type="submit" name="submit" value="cancel">Cancel</button>
          <button class="btn btn-info m-1 ml-auto" type="submit" name="submit" value="save">Save & Return</button>
          <button class="btn btn-primary m-1" type="submit" name="submit" value="continue">Submit & Continue</button>
        </div>
      </div>
    </form>
  </div>
</div>


{% endblock content %}

{% block scripts %}
<script>
 $(document).ready(function() {
     $('.form-select').bind('change', function () {
         if($(this).find('option:selected').text().toLowerCase() == "other") {
             $('#' + $(this).attr('id') + '_note').parent().show();
         } else {
             $('#' + $(this).attr('id') + '_note').parent().hide();
         }
     });
     $('.form-select').trigger('change');
     $('#addImg').click(function(){
         $('<div class="input-group input-group-flat m-2">'+
           '<input name="image_field" type="file" class="form-control" >'+
           '<span class="input-group-text">'+
           '<a class="link-secondary delete-file" title="Clear search" data-toggle="tooltip"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"></path><line x1="4" y1="7" x2="20" y2="7"></line><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line><path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12"></path><path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3"></path></svg>'+
           '</a>'+
           '</span>'+
           '</div>')
             .appendTo($('#imgBox'));       // ADD THE IMAGE TO DIV.
     });
     $(document).on('click', 'a.delete-file', function(e){
         $(this).parent().parent().remove();
     });
     $(document).on("click", '.btn-remove', function(){
         $('<div class="flex-fill"><div class="text-muted">Image marked For deletion</div></div>').appendTo($(this).closest('tr').children('td').eq(0).children('div').eq(0));
         $('<button class="btn btn-sm btn-primary btn-reverse" type="button" name="image_button" value="undo"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M20 11a8.1 8.1 0 0 0 -15.5 -2m-.5 -4v4h4" /><path d="M4 13a8.1 8.1 0 0 0 15.5 2m.5 4v-4h-4" /></svg>Undo</button><input name="image_deleted" value="'+$(this).closest('tr').children('td').eq(0).children('div').eq(0).children('div').eq(0).text()+'" type="hidden">').appendTo($(this).closest('tr td'));
         $(this).remove();
     });
     $(document).on("click", '.btn-reverse', function(){
         $(this).closest('tr').children('td').eq(0).children('div').eq(0).children('div').eq(2).remove()
         $(this).closest('tr').find('input').remove();
         $('<button class="btn btn-sm btn-danger btn-remove" type="button" name="image_button" value="delete"><svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><line x1="4" y1="7" x2="20" y2="7" /><line x1="10" y1="11" x2="10" y2="17" /><line x1="14" y1="11" x2="14" y2="17" /><path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" /><path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" /></svg>Delete</button>').appendTo($(this).closest('tr td'));
         $(this).remove();
     });
 });
</script>
{% endblock scripts %}
